Package: metastudent / 2.0.1-7

Metadata

Package Version Patches format
metastudent 2.0.1-7 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
2to3.patch | (download)

metastudent | 1392 723 + 669 - 0 !
metastudentPkg/BlastWrapper.py | 127 63 + 64 - 0 !
metastudentPkg/Logger.py | 36 17 + 19 - 0 !
metastudentPkg/commons.py | 607 303 + 304 - 0 !
metastudentPkg/generateTermNameMapping.py | 24 12 + 12 - 0 !
metastudentPkg/lib/groupA/DataPreprocessing/splitDB.py | 37 19 + 18 - 0 !
metastudentPkg/lib/groupA/parser/group2_blastParser.py | 22 11 + 11 - 0 !
metastudentPkg/lib/groupA/parser/group2_goParserSwissprot.py | 36 19 + 17 - 0 !
metastudentPkg/lib/groupA/parser/group2_goStatistics.py | 26 13 + 13 - 0 !
metastudentPkg/runMethods.py | 408 207 + 201 - 0 !
setup.py | 133 69 + 64 - 0 !
11 files changed, 1456 insertions(+), 1392 deletions(-)

 port python3 files to python3
 Additionally, run autopep8 on all py files due to tab / spacing inconsistencies
01_fix_blastp.patch | (download)

metastudentPkg/lib/groupA/GOSSIP/src/GOSSIPSTarter.java | 17 16 + 1 - 0 !
metastudentPkg/lib/groupA/GOSSIP/src/Predictor.java | 5 2 + 3 - 0 !
metastudentPkg/lib/groupB/java/BlastFileParser.java | 48 35 + 13 - 0 !
metastudentPkg/lib/groupC/exercise3.pl | 22 19 + 3 - 0 !
4 files changed, 72 insertions(+), 20 deletions(-)

 metastudent supports only legacy version of blast. 
 This patch makes it work with blast+, which is now the main tool associated
 with blast2 package. 
 Metastudent's temporary files were observed and compared for blast+ and legacy